.formTopNo {
	margin-top: 0px !important;
}

.formTopClose {
	margin-top: 4px !important;
}

.formTopLarge {
	margin-top: 24px !important;
}










.formInfo {
	margin-top: 6px;
	font-size: 12px;
}
	.formInfoTitle {
		font-weight: bold;
	}










.formPlaceholder {
	padding: 12px 6px;
	color: #999999;
}










.formRequire {
	border-color: #E87961 !important;
}










.formSimple {
	border-radius: 0px !important;
	border: 0px !important;
	border-bottom: 1px solid #999999 !important;
	background-color: transparent !important;
}
.formNinja {
	margin: 0px !important;
	padding: 0px;
	width: 0px;
	height: 0px;
	opacity: 0;
	overflow: hidden;
}










.formText {
	margin-top: 12px;
	line-height: 42px;
	border: 1px solid #999999;
	border-radius: 12px;
	background-color: #FFFFFF;
	transition: height 500ms ease, background-color 500ms linear, border-color 500ms linear, color 500ms linear;
}

	.formTextSearch {
		margin: 0px 12px 12px 12px;
		width: calc(100% - 24px);
		border: 0px;
		overflow: hidden;
		white-space: nowrap;
		text-overflow: ellipsis;
		background-color: transparent;
	}

	.formTextHide {
		display: none;
	}

	.formTextIcon {
		display: inline-block;
		vertical-align: top;
		width: 40px;
		font-size: 22px;
		text-align: center;
	}

	.formTextIcon svg path,
	.formTextIcon svg circle,
	.formTextIcon svg rect,
	.formTextIcon svg polygon {
		fill: currentColor;
	}

	.formTextText {
		display: inline-block;
		vertical-align: top;
		width: calc(100% - 40px);
		text-align: left;
		color: #000000;
	}









.formSelect {
	position: relative;
	margin-top: 12px;
	height: 42px;
	max-height: 300px;
	line-height: 40px;
	border: 1px solid #999999;
	border-radius: 12px;
	background-color: #FFFFFF;
	box-sizing: border-box;
	overflow: hidden;
	transition: height 500ms ease, background-color 500ms linear, border-color 500ms linear, color 500ms linear;
}

	.formSelectDetector {
		position: absolute;
	  width: 100%;
	  height: 40px;
	}
		.formSelectDetectorArrow {
			float: right;
			margin: 18px 14px;
			border-top: 6px solid rgb(140, 140, 140);
			border-right: 6px solid transparent;
			border-left: 6px solid transparent;
		}

	.formSelectText {
		display: inline-block;
		width: calc(100% - 40px);
		height: 100%;
		text-align: left;
		overflow: hidden;
	}

	.formSelectOption {
		padding-left: 40px;
	  width: calc(100% - 40px);
	  border-top: 1px dotted #999999;
	  text-align: left;
	}










.formTracker {
	position: relative;
	margin-top: 12px;
	height: 42px;
	min-height: 42px;
	line-height: 40px;
	border: 1px solid #999999;
	border-radius: 12px;
	background-color: #FFFFFF;
	box-sizing: border-box;
	overflow: hidden;
	transition: height 500ms ease, background-color 500ms linear, border-color 500ms linear, color 500ms linear;
}










.formCheckbox {
	display: flex;
	align-items: center;
	overflow: hidden;
	margin-top: 20px;
	line-height: 60px;
	border: 1px solid #999999;
	border-radius: 12px;
	background-color: #FFFFFF;
	box-shadow: 0px 2px 4px -2px #CCCCCC;
	transition: height 500ms ease, background-color 500ms linear, border-color 500ms linear, color 500ms linear;
}

	.formCheckboxCircle {
		display: inline-block;
		vertical-align: top;
		margin: 19px 10px;
		width: 20px;
		height: 20px;
		border: 1px solid #999999;
		border-radius: 6px;
	}

	.formCheckboxSpot {
		margin: 3px;
		width: 14px;
		height: 14px;
		border-radius: 3px;
		overflow: hidden;
		transition: background-color 500ms linear;
	}

	.formCheckboxImg {
		display: inline-block;
		vertical-align: top;
		margin: 10px 6px 10px 0px;
		width: 40px;
		height: 40px;
		border-radius: 12px;
	}

	.formCheckboxTxt {
		display: flex;
		float: right;
		box-sizing: border-box;
		align-items: center;
		vertical-align: top;
		padding:20px 0px;
		width: calc(100% - 88px);
		min-height: 60px;
		line-height: 20px;
	}

	.formRadioCircle {
		display: inline-block;
		vertical-align: top;
		margin: 19px 10px;
		width: 20px;
		height: 20px;
		border: 1px solid #999999;
		border-radius: 50%;
	}









.formRadioSpot {
	margin: 3px;
	width: 14px;
	height: 14px;
	border-radius: 7px;
	overflow: hidden;
	transition: background-color 500ms linear;
}










.formCleanText {
	display: inline-flex;
	vertical-align: top;
	width: 100%;
	text-align: left;
	line-height: 26px;
	box-sizing: border-box;
	padding: 20px 10px 20px 20px;
}










.formImage {
	position: relative;
	margin-top: 12px;
	width: 100%;
	height: auto;
	overflow: hidden;
	border: 1px solid #999999;
	border-radius: 12px;
	box-sizing: border-box;
	text-align: center;
	background-size: cover;
  background-position: center;
  background-color: #FFFFFF
}

	.formImageImage {
		display: block;
		margin: auto;
		width: auto;
		max-height: 160px;
	}

	.formImageLabel {
		position: absolute;
		top: 0;
		left: 0;
		height: 100%;
		width: 100%;
		z-index: 1;
	}

	.formImageInfo {
		justify-content: center;
		align-items: center;
		height: 100%;
		top: 0;
		left: 0;
		right: 0;
	}

		.formImageInfoText {
			margin-bottom: 20px;
			line-height: 40px;
			font-size: 18px;
			color: #999999;
		}

.formImageClip {
	margin-top: 0px !important;
	border: 0px !important;
	background-color: transparent !important;
	box-shadow: none !important;
}

	.formImageClipIcon {
		text-align: center;
	}

.clipUpload .formTextText {
	display: block;
	width: auto;
	text-align: center;
	margin-bottom: 20px;
	line-height: 42px;
}










.formPdf {
	transition: height 500ms ease, background-color 500ms linear, border-color 500ms linear, color 500ms linear;
}










.formMap {
	width: 100%;
	height: 100%;
	border-radius: 12px;
}










.formButton {
	display: inline-block;
	vertical-align: top;
	box-sizing: border-box;
	margin-top: 12px;
	width: 100%;
	height: 44px;
	line-height: 44px;
  border-bottom: 2px solid #CCCCCC;
	border-radius: 12px;
	font-size: 13px;
	font-weight: bold;
	text-align: center;
	background-color: var(--button-background-color);
	color: #FFFFFF;
	transition: all 0.5s ease;
}

	.formButtonSmall {
		margin-right: 0px;
		fill: #FFFFFF;
	}

	.formButtonAdjust {
		padding: 0px 10px;
		box-sizing: border-box;
		width: auto;
	}

	.formButtonSquare {
		position: absolute;
		right: 0;
		left: 0;
		margin: 164px auto 0px auto;
		width: 304px;
		z-index: 1;
	}

	.formButton2Left {
		width: calc(50% - 1px);
	}

	.formButton2Right {
		margin-left: 2px;
		width: calc(50% - 1px);
	}

	.formButtonGray {
		background-color: #999999 !important;
	}
	.formButtonWhite {
		background-color: #FFFFFF !important;
		color: #000000;
	}
	.formButtonOrange {
		background-color: #E77E02 !important;
	}

	.formButtonIcon {
	  display: inline-block;
	  vertical-align: middle;
	  padding: 0px 12px;
	  margin-bottom: 4px;
	  width: auto;
	  fill: #FFFFFF !important;
	}

	.formButtonText {
		display: inline-block;
	}